gtk.Tooltips
Prev | The gtk Class Reference | Next

## gtk.Tooltips

gtk.Tooltips — add tips to your widgets.

## Synopsis

    class gtk.Tooltips(gtk.Object):
        gtk.Tooltips()
        def enable()
        def disable()
        def set_tip(widget, tip_text, tip_private=None)
        def force_window()

    Functions

        def gtk.tooltips_data_get(widget)

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Tooltips

## gtk.Tooltips Properties

gtk.Object Properties

## Attributes

"tip_window" | Read | The window that the tooltip is displayed in.
"tip_label" | Read | The label that displays the tooltip text.
"active_tips_data" | Read | The data associated with the active tooltip.
"tips_data_list" | Read | A list containing the data associated with the tooltips in a tooltips group. For each tooltip the data is a tuple containing: the tooltip object, the associated widget, the tooltip text and the tooltip private text.
"delay" | Read | The delay between the mouse pausing over the widget and the display of the tooltip in msec.
"enabled" | Read | If `TRUE` the tooltips are enabled
"use_sticky_delay" | Read | If `TRUE` shorten the delay for showing a tooltip on another widget is already showing a tooltip.
"timer_tag" | Read | The tag of the timeout handler used for the delay.

## gtk.Tooltips Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

## Description

Tooltips are the messages that appear next to a widget when the mouse pointer is held over it for a short amount of time. They are especially helpful for adding more verbose descriptions of things such as buttons in a toolbar. An individual tooltip belongs to a group of tooltips. A group is created with a call to the gtk.Tooltips() constructor. Every tooltip in the group can then be turned off with a call to the `disable`() method and enabled with the `enable`() method. To assign a tip to a particular `gtk.Widget`, use the `set_tip`() method.

### Note

Tooltips can only be set on widgets which have their own X window. To check if a widget has its own window use `widget.flags()&gtk.NO_WINDOW`. To add a tooltip to a widget that doesn't have its own window, place the widget inside a `gtk.EventBox` and add a tooltip to the eventbox instead.

The default appearance of all tooltips in a program is determined by the current theme that the user has selected. Information about the tooltip (if any) associated with an arbitrary widget can be retrieved using the `gtk.tooltips_data_get`() function.

## Constructor

        gtk.Tooltips()

Returns : | a new `gtk.Tooltips` object

Creates an empty `gtk.Tooltips` group.

## Methods

### gtk.Tooltips.enable

        def enable()

The `enable`() method enables a group of tooltips. A tooltip will be displayed over its associated widget when the mouse pointer pauses over the widget.

### gtk.Tooltips.disable

        def disable()

The `disable`() method disables a group of tooltips. A tooltip will not be displayed over its associated widget when the mouse pointer pauses over the widget.

### gtk.Tooltips.set_tip

        def set_tip(widget, tip_text, tip_private=None)

`widget` : | a `gtk.Widget`
`tip_text` : | the tooltip text
`tip_private` : | the tooltip private text for context sensitive display

The `set_tips`() method creates a tooltip for the specified `widget`. The text specified by `tooltip_text` will be displayed when the mouse pointer pauses over `widget` if the tooltips are enabled..

### gtk.Tooltips.force_window

        def force_window()

The `force_window`() method ensures that the window used for displaying the given tooltips is created. Applications should never have to call this function, since PyGTK takes care of this.

## Functions

### gtk.tooltips_data_get

        def gtk.tooltips_data_get(widget)

`widget` : | a widget
Returns : | a tuple containing the tooltip data associated with `widget` or `None`

The `gtk.tooltips_data_get`() function returns a tuple containing the tooltip data associated with `widget`. The tuple contains:

- the `gtk.Tooltips` group containing the tooltip
- the widget
- the tooltip text string
- the tooltip private text string or `None`

If `widget` does not have an associated tooltip this function returns `None`.

Prev | Up | Next
gtk.ToolItem | Home | gtk.TreeDragDest